Bug 847523 - meta-data is kept on each one of the special LVs created when creating new storage domain
meta-data is kept on each one of the special LVs created when creating new st...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: 3.1.0
Assigned To: Ayal Baron
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 12:08 EDT by Haim
Modified: 2016-02-10 15:16 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-03 07:39:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log (712.31 KB, application/x-xz)
2012-08-12 12:16 EDT, Haim
no flags Details

  None (edit)
Description Haim 2012-08-12 12:08:18 EDT
Description of problem:

using 3.0 and 3.1 data-centers (which parallel to v2 and v3 meta-data formats respectively), we still keep domain metadata on /dev/<sdUUI>/metadata and also on each one of the special logical volumes, which can be seen by running the following command: 

  ids      bad04ae6-8db9-4812-afda-ad9c92b0a41b -wi-a--- 128.00m                                            1OdNgi-dAHw-eCxu-TvkA-7mOI-1zmx-ewsQFi ids      /dev/bad04ae6-8db9-4812-afda-ad9c92b0a41b/ids      -wi-a---  -1  -1   auto 253  9    128.00k 128.00m           1           0                                                                      2012-08-12 19:30:21 +0300  green-vdsa.qa.lab.tlv.redhat.com         lvm2 LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1 bad04ae6-8db9-4812-afda-ad9c92b0a41b wz--n- 49.62g 45.75g        128.00m  397  366     0     0   1   6   0  14 MDT_VGUUID=LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1,MDT_VERSION=3,MDT_LOGBLKSIZE=512,MDT_LEASERETRIES=3,MDT_LOCKRENEWALINTERVALSEC=5,MDT_LOCKPOLICY=,MDT_PHYBLKSIZE=512,MDT_PV0=pv:360a98000572d45366b4a6c684b327234&44&uuid:CNOnoN-ZmV3-BAib-mzx4-YVYM-kd1q-nRYRnN&44&pestart:0&44&pecount:397&44&mapoffset:0,MDT_DESCRIPTION=FC-Domain1,MDT_CLASS=Data,MDT_TYPE=FCP,MDT_SDUUID=bad04ae6-8db9-4812-afda-ad9c92b0a41b,RHAT_storage_domain,MDT_LEASETIMESEC=60,MDT_IOOPTIMEOUTSEC=10,MDT_POOL_DOMAINS=bad04ae6-8db9-4812-afda-ad9c92b0a41b:Active,MDT_MASTER_VERSION=1,MDT_ROLE=Master,MDT_POOL_UUID=205a7c45-2dc3-4c78-ae31-578f2e9d49bd,MDT_POOL_DESCRIPTION=FC,MDT_POOL_SPM_LVER=1,MDT_POOL_SPM_ID=-1,MDT__SHA_CKSUM=a82d5627dd313c8a3b4c2d6e6675ec4779ed14a0     2        2    64.00m   128.00m unmanaged
  inbox    bad04ae6-8db9-4812-afda-ad9c92b0a41b -wi-a--- 128.00m                                            P7QJRy-sV2o-5etV-EKGx-kPye-mbGC-zUEUid inbox    /dev/bad04ae6-8db9-4812-afda-ad9c92b0a41b/inbox    -wi-a---  -1  -1   auto 253  10   128.00k 128.00m           1           0                                                                      2012-08-12 19:30:21 +0300  green-vdsa.qa.lab.tlv.redhat.com         lvm2 LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1 bad04ae6-8db9-4812-afda-ad9c92b0a41b wz--n- 49.62g 45.75g        128.00m  397  366     0     0   1   6   0  14 MDT_VGUUID=LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1,MDT_VERSION=3,MDT_LOGBLKSIZE=512,MDT_LEASERETRIES=3,MDT_LOCKRENEWALINTERVALSEC=5,MDT_LOCKPOLICY=,MDT_PHYBLKSIZE=512,MDT_PV0=pv:360a98000572d45366b4a6c684b327234&44&uuid:CNOnoN-ZmV3-BAib-mzx4-YVYM-kd1q-nRYRnN&44&pestart:0&44&pecount:397&44&mapoffset:0,MDT_DESCRIPTION=FC-Domain1,MDT_CLASS=Data,MDT_TYPE=FCP,MDT_SDUUID=bad04ae6-8db9-4812-afda-ad9c92b0a41b,RHAT_storage_domain,MDT_LEASETIMESEC=60,MDT_IOOPTIMEOUTSEC=10,MDT_POOL_DOMAINS=bad04ae6-8db9-4812-afda-ad9c92b0a41b:Active,MDT_MASTER_VERSION=1,MDT_ROLE=Master,MDT_POOL_UUID=205a7c45-2dc3-4c78-ae31-578f2e9d49bd,MDT_POOL_DESCRIPTION=FC,MDT_POOL_SPM_LVER=1,MDT_POOL_SPM_ID=-1,MDT__SHA_CKSUM=a82d5627dd313c8a3b4c2d6e6675ec4779ed14a0     2        2    64.00m   128.00m unmanaged
  leases   bad04ae6-8db9-4812-afda-ad9c92b0a41b -wi-a---   2.00g                                            pKbmNP-Fw0s-agpn-GOOT-0Qz0-hXs1-dU3GRg leases   /dev/bad04ae6-8db9-4812-afda-ad9c92b0a41b/leases   -wi-a---  -1  -1   auto 253  8    128.00k   2.00g           1           0                                                                      2012-08-12 19:30:20 +0300  green-vdsa.qa.lab.tlv.redhat.com         lvm2 LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1 bad04ae6-8db9-4812-afda-ad9c92b0a41b wz--n- 49.62g 45.75g        128.00m  397  366     0     0   1   6   0  14 MDT_VGUUID=LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1,MDT_VERSION=3,MDT_LOGBLKSIZE=512,MDT_LEASERETRIES=3,MDT_LOCKRENEWALINTERVALSEC=5,MDT_LOCKPOLICY=,MDT_PHYBLKSIZE=512,MDT_PV0=pv:360a98000572d45366b4a6c684b327234&44&uuid:CNOnoN-ZmV3-BAib-mzx4-YVYM-kd1q-nRYRnN&44&pestart:0&44&pecount:397&44&mapoffset:0,MDT_DESCRIPTION=FC-Domain1,MDT_CLASS=Data,MDT_TYPE=FCP,MDT_SDUUID=bad04ae6-8db9-4812-afda-ad9c92b0a41b,RHAT_storage_domain,MDT_LEASETIMESEC=60,MDT_IOOPTIMEOUTSEC=10,MDT_POOL_DOMAINS=bad04ae6-8db9-4812-afda-ad9c92b0a41b:Active,MDT_MASTER_VERSION=1,MDT_ROLE=Master,MDT_POOL_UUID=205a7c45-2dc3-4c78-ae31-578f2e9d49bd,MDT_POOL_DESCRIPTION=FC,MDT_POOL_SPM_LVER=1,MDT_POOL_SPM_ID=-1,MDT__SHA_CKSUM=a82d5627dd313c8a3b4c2d6e6675ec4779ed14a0     2        2    64.00m   128.00m unmanaged
  master   bad04ae6-8db9-4812-afda-ad9c92b0a41b -wi-a---   1.00g                                            Fx0eQ9-6yME-Zddu-UlGg-NEQS-Iv8a-v5nevx master   /dev/bad04ae6-8db9-4812-afda-ad9c92b0a41b/master   -wi-a---  -1  -1   auto 253  12   128.00k   1.00g           1           0                                                                      2012-08-12 19:30:21 +0300  green-vdsa.qa.lab.tlv.redhat.com         lvm2 LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1 bad04ae6-8db9-4812-afda-ad9c92b0a41b wz--n- 49.62g 45.75g        128.00m  397  366     0     0   1   6   0  14 MDT_VGUUID=LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1,MDT_VERSION=3,MDT_LOGBLKSIZE=512,MDT_LEASERETRIES=3,MDT_LOCKRENEWALINTERVALSEC=5,MDT_LOCKPOLICY=,MDT_PHYBLKSIZE=512,MDT_PV0=pv:360a98000572d45366b4a6c684b327234&44&uuid:CNOnoN-ZmV3-BAib-mzx4-YVYM-kd1q-nRYRnN&44&pestart:0&44&pecount:397&44&mapoffset:0,MDT_DESCRIPTION=FC-Domain1,MDT_CLASS=Data,MDT_TYPE=FCP,MDT_SDUUID=bad04ae6-8db9-4812-afda-ad9c92b0a41b,RHAT_storage_domain,MDT_LEASETIMESEC=60,MDT_IOOPTIMEOUTSEC=10,MDT_POOL_DOMAINS=bad04ae6-8db9-4812-afda-ad9c92b0a41b:Active,MDT_MASTER_VERSION=1,MDT_ROLE=Master,MDT_POOL_UUID=205a7c45-2dc3-4c78-ae31-578f2e9d49bd,MDT_POOL_DESCRIPTION=FC,MDT_POOL_SPM_LVER=1,MDT_POOL_SPM_ID=-1,MDT__SHA_CKSUM=a82d5627dd313c8a3b4c2d6e6675ec4779ed14a0     2        2    64.00m   128.00m unmanaged
  metadata bad04ae6-8db9-4812-afda-ad9c92b0a41b -wi-a--- 512.00m                                            bkN35H-aXGB-SqOi-AlFD-zvSm-6jOn-uItX0Y metadata /dev/bad04ae6-8db9-4812-afda-ad9c92b0a41b/metadata -wi-a---  -1  -1   auto 253  7    128.00k 512.00m           1           0                                                                      2012-08-12 19:30:20 +0300  green-vdsa.qa.lab.tlv.redhat.com         lvm2 LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1 bad04ae6-8db9-4812-afda-ad9c92b0a41b wz--n- 49.62g 45.75g        128.00m  397  366     0     0   1   6   0  14 MDT_VGUUID=LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1,MDT_VERSION=3,MDT_LOGBLKSIZE=512,MDT_LEASERETRIES=3,MDT_LOCKRENEWALINTERVALSEC=5,MDT_LOCKPOLICY=,MDT_PHYBLKSIZE=512,MDT_PV0=pv:360a98000572d45366b4a6c684b327234&44&uuid:CNOnoN-ZmV3-BAib-mzx4-YVYM-kd1q-nRYRnN&44&pestart:0&44&pecount:397&44&mapoffset:0,MDT_DESCRIPTION=FC-Domain1,MDT_CLASS=Data,MDT_TYPE=FCP,MDT_SDUUID=bad04ae6-8db9-4812-afda-ad9c92b0a41b,RHAT_storage_domain,MDT_LEASETIMESEC=60,MDT_IOOPTIMEOUTSEC=10,MDT_POOL_DOMAINS=bad04ae6-8db9-4812-afda-ad9c92b0a41b:Active,MDT_MASTER_VERSION=1,MDT_ROLE=Master,MDT_POOL_UUID=205a7c45-2dc3-4c78-ae31-578f2e9d49bd,MDT_POOL_DESCRIPTION=FC,MDT_POOL_SPM_LVER=1,MDT_POOL_SPM_ID=-1,MDT__SHA_CKSUM=a82d5627dd313c8a3b4c2d6e6675ec4779ed14a0     2        2    64.00m   128.00m unmanaged
  outbox   bad04ae6-8db9-4812-afda-ad9c92b0a41b -wi-a--- 128.00m                                            plQxHn-RFWC-2h2g-N4u0-W5Dv-fRwE-ixZqP0 outbox   /dev/bad04ae6-8db9-4812-afda-ad9c92b0a41b/outbox   -wi-a---  -1  -1   auto 253  11   128.00k 128.00m           1           0                                                                      2012-08-12 19:30:21 +0300  green-vdsa.qa.lab.tlv.redhat.com         lvm2 LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1 bad04ae6-8db9-4812-afda-ad9c92b0a41b wz--n- 49.62g 45.75g        128.00m  397  366     0     0   1   6   0  14 MDT_VGUUID=LcNrbg-dNM6-f4Tx-sF5b-2AFL-g6b9-EHhzX1,MDT_VERSION=3,MDT_LOGBLKSIZE=512,MDT_LEASERETRIES=3,MDT_LOCKRENEWALINTERVALSEC=5,MDT_LOCKPOLICY=,MDT_PHYBLKSIZE=512,MDT_PV0=pv:360a98000572d45366b4a6c684b327234&44&uuid:CNOnoN-ZmV3-BAib-mzx4-YVYM-kd1q-nRYRnN&44&pestart:0&44&pecount:397&44&mapoffset:0,MDT_DESCRIPTION=FC-Domain1,MDT_CLASS=Data,MDT_TYPE=FCP,MDT_SDUUID=bad04ae6-8db9-4812-afda-ad9c92b0a41b,RHAT_storage_domain,MDT_LEASETIMESEC=60,MDT_IOOPTIMEOUTSEC=10,MDT_POOL_DOMAINS=bad04ae6-8db9-4812-afda-ad9c92b0a41b:Active,MDT_MASTER_VERSION=1,MDT_ROLE=Master,MDT_POOL_UUID=205a7c45-2dc3-4c78-ae31-578f2e9d49bd,MDT_POOL_DESCRIPTION=FC,MDT_POOL_SPM_LVER=1,MDT_POOL_SPM_ID=-1,MDT__SHA_CKSUM=a82d5627dd313c8a3b4c2d6e6675ec4779ed14a0     2        2    64.00m   128.00m unmanaged

also, why we are still reading metadata from /dev/<sdUUID>/metadata using dd when it should be read using vgs -o+tags. can be seen using the following trace (when domain is not available):


Thread-158470::ERROR::2012-08-12 17:27:53,697::sdc::145::Storage.StorageDomainCache::(_findDomain) Error while looking for domain `08266398-abbb-4e29-ab95-b8828ad3fe04`
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/sdc.py", line 140, in _findDomain
    return mod.findDomain(sdUUID)
  File "/usr/share/vdsm/storage/blockSD.py", line 1097, in findDomain
    return BlockStorageDomain(BlockStorageDomain.findDomainPath(sdUUID))
  File "/usr/share/vdsm/storage/blockSD.py", line 290, in __init__
    metadata = selectMetadata(sdUUID)
  File "/usr/share/vdsm/storage/blockSD.py", line 259, in selectMetadata
    if len(mdProvider) > 0:
  File "/usr/share/vdsm/storage/persistentDict.py", line 61, in __len__
    return len(self.keys())
  File "/usr/share/vdsm/storage/persistentDict.py", line 105, in keys
    return list(self.__iter__())
  File "/usr/share/vdsm/storage/persistentDict.py", line 102, in __iter__
    return ifilter(lambda k: k in self._validatorDict, self._dict.__iter__())
  File "/usr/share/vdsm/storage/persistentDict.py", line 219, in __iter__
    with self._accessWrapper():
  File "/usr/lib64/python2.6/contextlib.py", line 16, in __enter__
    return self.gen.next()
  File "/usr/share/vdsm/storage/persistentDict.py", line 147, in _accessWrapper
    self.refresh()
  File "/usr/share/vdsm/storage/persistentDict.py", line 224, in refresh
    lines = self._metaRW.readlines()
  File "/usr/share/vdsm/storage/blockSD.py", line 226, in readlines
    m = misc.readblockSUDO(self.metavol, self._offset, self._size)
  File "/usr/share/vdsm/storage/misc.py", line 323, in readblockSUDO
    raise se.MiscBlockReadException(name, offset, size)
MiscBlockReadException: Internal block device read failure: 'name=/dev/08266398-abbb-4e29-ab95-b8828ad3fe04/metadata, offset=0, size=2048'
Dummy-156245::DEBUG::2012-08-12 17:27:53,710::__init__::1164::Storage.Misc.excCmd::(_log) 'dd if=/rhev/data-center/5d060a6e-e222-11e1-8da2-001a4a16970e/mastersd/dom_md/inbox iflag=direct,fullblock count=1 bs=10240
00' (cwd None)
Thread-158470::WARNING::2012-08-12 17:27:53,791::sp::1089::Storage.StoragePool::(deactivateSD) deactivating missing domain 08266398-abbb-4e29-ab95-b8828ad3fe04
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/sp.py", line 1081, in deactivateSD
    dom = sdCache.produce(sdUUID)
  File "/usr/share/vdsm/storage/sdc.py", line 110, in produce
    dom.getRealDomain()
  File "/usr/share/vdsm/storage/sdc.py", line 51, in getRealDomain
    return self._cache._realProduce(self._sdUUID)
  File "/usr/share/vdsm/storage/sdc.py", line 123, in _realProduce
    dom = self._findDomain(sdUUID)
  File "/usr/share/vdsm/storage/sdc.py", line 147, in _findDomain
    raise se.StorageDomainDoesNotExist(sdUUID)
StorageDomainDoesNotExist: Storage domain does not exist: ('08266398-abbb-4e29-ab95-b8828ad3fe04',)
Comment 1 Haim 2012-08-12 12:16:04 EDT
Created attachment 603803 [details]
vdsm log
Comment 4 RHEL Product and Program Management 2012-12-14 03:53:54 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Haim 2013-04-03 07:39:03 EDT
expected behavior.  closing the bug.

Note You need to log in before you can comment on or make changes to this bug.